# SWDB

# \Fusion

Fusion.

Represents an object from the table 'fusion'.

## Summary

Methods
Properties
Constants
__construct()
$db
$product
$product_awaken
$product_unawaken
$fusion
$ingredient
$ingredient_unawaken
$stars
$cost
No constants found
No protected methods found
No protected properties found
N/A
No private methods found
No private properties found
N/A

File
  application/entity/Fusion.php
Package
  Default
Class hierarchy
  \Entity
  \Fusion

## Tags

category | Entity

## Properties

### $db

    $db : resource

#### Type

resource — Database connection.

#

Inherited from
  \Entity

## Tags

None found

### $product

    $product : \K_Unit

#### Type

\K_Unit — K_Unit to fuse.

#

## Tags

None found

### $product_awaken

    $product_awaken : \K_Unit

#### Type

\K_Unit — K_Unit to fuse (awakened).

#

## Tags

None found

### $product_unawaken

    $product_unawaken : \K_Unit

#### Type

\K_Unit — K_Unit to fuse (unawakened).

#

## Tags

None found

### $fusion

    $fusion : \Monster_Fusion

#### Type

\Monster_Fusion — Fusions required to create ingredients.

#

## Tags

None found

### $ingredient

    $ingredient : array<mixed,\K_Unit>

#### Type

array<mixed,\K_Unit> — List of unfuseable K_Unit material.

#

## Tags

None found

### $ingredient_unawaken

    $ingredient_unawaken : array<mixed,\K_Unit>

#### Type

array<mixed,\K_Unit> — List of unfuseable K_Unit material. (unawakened).

#

## Tags

None found

### $stars

    $stars : integer

#### Type

integer — Stars of the monster to fuse.

#

## Tags

None found

### $cost

    $cost : integer

#### Type

integer — Fusion cost.

#

## Tags

None found

## Methods

### __construct()

    __construct(resource  $db, integer  $id, integer  $uid = null)

Constructor.

Searches the database and retrieves the information about the fusion, populating it and it's items.

#### Parameters

resource | $db | Connection to the database.
integer | $id | Product monster id.
integer | $uid | User id.

#

## Tags

None found

### Fusion.php